<?xml version="1.0" encoding="UTF-8"?>
<actions>
        <action>
            <actionName>run</actionName>
            <packagings>
                <packaging>jar</packaging>
            </packagings>
            <goals>
                <goal>process-classes</goal>
                <goal>org.codehaus.mojo:exec-maven-plugin:1.2.1:exec</goal>
            </goals>
            <properties>
                <exec.args>-Dsass.certificate.check=false -classpath %classpath tr.com.cs.eisvi.Main</exec.args>
                <exec.executable>java</exec.executable>
            </properties>
        </action>
        <action>
            <actionName>debug</actionName>
            <packagings>
                <packaging>jar</packaging>
            </packagings>
            <goals>
                <goal>process-classes</goal>
                <goal>org.codehaus.mojo:exec-maven-plugin:1.2.1:exec</goal>
            </goals>
            <properties>
                <exec.args>-Xdebug -Xrunjdwp:transport=dt_socket,server=n,address=${jpda.address} -Dsass.certificate.check=false -classpath %classpath tr.com.cs.eisvi.Main</exec.args>
                <exec.executable>java</exec.executable>
                <jpda.listen>true</jpda.listen>
            </properties>
        </action>
        <action>
            <actionName>build</actionName>
            <packagings>
                <packaging>*</packaging>
            </packagings>
            <goals>
                <goal>install</goal>
                <goal>dependency:copy-dependencies</goal>
            </goals>
        </action>
        <action>
            <actionName>rebuild</actionName>
            <packagings>
                <packaging>*</packaging>
            </packagings>
            <goals>
                <goal>clean</goal>
                <goal>install</goal>
                <goal>dependency:copy-dependencies</goal>
            </goals>
        </action>
        <action>
            <actionName>build-with-dependencies</actionName>
            <reactor>also-make</reactor>
            <packagings>
                <packaging>*</packaging>
            </packagings>
            <goals>
                <goal>install</goal>
                <goal>dependency:copy-dependencies</goal>
            </goals>
        </action>
        <action>
            <actionName>profile</actionName>
            <packagings>
                <packaging>jar</packaging>
            </packagings>
            <goals>
                <goal>process-classes</goal>
                <goal>org.codehaus.mojo:exec-maven-plugin:1.2.1:exec</goal>
            </goals>
            <properties>
                <exec.args>-Dsass.certificate.check=false -classpath %classpath tr.com.cs.eisvi.Main</exec.args>
                <exec.executable>java</exec.executable>
            </properties>
        </action>
    </actions>
